Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367221 - [Doc] : 'INSTALLATION GUIDE FOR RED HAT ENTERPRISE LINUX' needs to be updated
Summary: [Doc] : 'INSTALLATION GUIDE FOR RED HAT ENTERPRISE LINUX' needs to be updated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 2.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 2.0
Assignee: Aron Gunn
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 22:49 UTC by Rachana Patel
Modified: 2016-09-30 17:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 17:22:31 UTC


Attachments (Terms of Use)

Description Rachana Patel 2016-08-15 22:49:30 UTC
Description of problem:
=======================
'INSTALLATION GUIDE FOR RED HAT ENTERPRISE LINUX'  have following issues :-

https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/single/installation-guide-for-red-hat-enterprise-linux#installing_red_hat_ceph_storage_using_ansible


# 1 - Issue
=========
Actual results:
===============
2.3. ENABLING CEPH REPOSITORIES

Red Hat Storage Console Installer

For Ansible deployment of Red Hat Ceph Storage nodes, as root, enable the Red Hat Storage Console 2.0 Installer repository:

# subscription-manager repos --enable=rhel-7-server-rhscon-2-installer-rpms


Problem
=======
This is little ambiguous, Title is 'Red Hat Storage Console Installer' but as description says we need to enable this for Ansible deployment (and Red hat storage console)also. so can we change title ?

(As per section 3 we have 3 ways to install ceph
There are three ways to install a Red Hat Ceph Storage cluster:

Red Hat Storage Console
Ansible automation application
Command line interface)




Issue # 2
=========
Actual results:
===============
2.3. ENABLING CEPH REPOSITORIES

Download the Red Hat Storage Console Agent ISO


Expected results:
==================
---
should be 'Download the Red Hat Storage Console ISO'

Suggestion :- better to change example(optional)
As root, mount the copied ISO image to the /mnt/rhscon2_agent/ directory:

# mkdir -p /mnt/rhscon2_agent
# mount -o loop /<path_to_iso>/????.iso /mnt/rhscon2_agent

use rhscon2 instead of rhscon2_agent


Issue # 3
=========
Actual results:
===============
'3.2.2. Configuring Ceph Global Settings'


4. Set the generate_fsid setting to false:

generate_fsid: false


8. Optionally, generate a Universally Unique Identifier (UUID), uncomment the fsid setting and specify the generated UUID:

fsid: <generated_uuid>


Problem:
========
It's confusing . it works like this

If you set 'generate_fsid' : false then give value for fsid

If you set 'generate_fsid' " true then it will auto generate value for fsid and you dont have to give value for 'fsid'



# 4 - Suggestion:-
=================
Actual results:
===============
Then, uncomment the ceph_stable_rh_storage_iso_path setting and specify the path to the ISO image:

ceph_stable_rh_storage_iso_path


Suggestion:
===========
Can we give example here to make is little more clear.

e.g. if ISO is stored @ /home/c1/abc.ISO 
then value should be /home/c1/abc.ISO not /home/c1
(have seen people giving value /home/c1 and facing failures so suggestion)


# 5 - Suggestion:-
=================
Actual results:
===============
4.3.1. Installing Ceph Object Gateway using Ansible


Suggestion:-
=============
Can we modify this section and mention that ansible will not copy  admin on rgw node by default.

To copy admin key make below value true in group_Vars/rgws
# will copy the admin key to the /etc/ceph/ directory
#copy_admin_key: false

Comment 4 Rachana Patel 2016-08-16 18:11:27 UTC
Suggested changes have been done hence moving bug to verified


Note You need to log in before you can comment on or make changes to this bug.